<?php
/*
	eShox OS
	http://www.eshox.com/

	Copyright (c) 2003, Secure.cc, Inc.

	Released under the GNU General Public License

*/

require('contents/resources.php');

define('TABLE_HEADING_CONFIGURATION_TITLE', 'Title');
define('TABLE_HEADING_CONFIGURATION_VALUE', 'Setting');

define('TEXT_INFO_EDIT_INTRO', 'Please make any necessary changes');
define('TEXT_INFO_DATE_ADDED', 'Date Added:');
define('TEXT_INFO_LAST_MODIFIED', 'Last Modified:');

if ($_GET['action']) {
	switch ($_GET['action']) {
		case 'save':
			shop_db_query("update " . DB_PREFIX . "configuration set configuration_value = '" . ($_POST['configuration'][$_GET['cID']]) . "', last_modified = now() where configuration_id = '" . ($_GET['cID']) . "'");
			shop_redirect(shop_href_link(FILENAME_CONFIGURATION, 'gID=' . $_GET['gID'] . '&cID=' . $_GET['cID']));
			break;
	}
}

switch ($_GET['gID']) {
case 1:
	define('HEADING_TITLE', 'Setup');
	break;
case 2:
	define('HEADING_TITLE', 'Features');
	break;
case 4:
	define('HEADING_TITLE', 'Image Sizes');
	break;
case 7:
	define('HEADING_TITLE', 'Search Engine Setup');
	break;
case 8:
	define('HEADING_TITLE', 'Listings');
	break;
case 9:
	define('HEADING_TITLE', 'Stock & Packaging');
	break;
case 10:
	define('HEADING_TITLE', 'Display');
	break;
default:
	shop_redirect(shop_href_link(FILENAME_CONFIGURATION, 'gID=1'));
	break;
}
?><html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>eShox: <?php echo HEADING_TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="contents/stylesheet.css">
<script language="JavaScript" src="contents/eshox_os/scripts.js" type="text/javascript"></script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="333333">
<!-- header //-->
<!-- header_eof //-->

<!-- body //-->
<table width="100%" border="0" cellpadding="0" cellspacing="0">
<?php
$help_page = MYSELF . '&gID=' . $_GET['gID'];
include('contents/header.php');
?>
</table>
<table border="0" width="100%" cellspacing="8" cellpadding="1" bgcolor="333333">
  <tr>
	<td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="160" cellspacing="0" cellpadding="0">
<!-- left_navigation //-->
<?php require('contents/navbar.php'); ?>
<!-- left_navigation_eof //-->
	</table></td>
<!-- body_text //-->
	<td width="100%" valign="top">
	  <table width="100%" border="0" cellpadding="0" cellspacing="0">
	    <tr>
	      <td colspan="2">
	        <table width="100%" border="0" cellpadding="0" cellspacing="0">
	          <tr>
	            <td width="8"><img src="images/win_header_left.gif" width="8" height="22"></td>
	            <td width="60" align="left" valign="center" background="images/win_header_bg.gif"><a href="index.php"><img src="images/close.gif" width="13" height="14" border="0"></a></td>
	            <td class="windowHeading" background="images/win_header_bg.gif" height="22" align="center" valign="center"><?php echo HEADING_TITLE; ?></td>
	            <td width="34" background="images/win_header_bg.gif"></td>
	            <td width="8"><img src="images/win_header_right.gif" width="8" height="22"></td>
	          </tr>
	        </table>
	      </td>
	    </tr>
	    <tr>
	      <td bgcolor="ffffff" valign="top">
	        <table width="100%" border="0" cellpadding="0" cellspacing="0">
	          <tr>
	            <td background="images/win_header_column.gif" height="17" width="50%" valign="center" align="left" class="dataTableContent"> &nbsp; <?php echo TABLE_HEADING_CONFIGURATION_TITLE; ?></td>
	            <td background="images/win_header_column.gif" height="17" width="50%" valign="center" class="dataTableContent"><?php echo TABLE_HEADING_CONFIGURATION_VALUE; ?></td>
	            <td background="images/win_header_column.gif" height="17" valign="center" class="dataTableContent" align="right">&nbsp;</td>
	          </tr>
	          <?php
	          $configuration_query = shop_db_query("select configuration_id, configuration_key, configuration_title, configuration_value, use_function from " . DB_PREFIX . "configuration where configuration_group_id = '" . $_GET['gID'] . "' order by sort_order");
	          while ($configuration = shop_db_fetch_array($configuration_query)) {
	            if ($configuration['use_function']) {
	              $cfgValue = $configuration['use_function']($configuration['configuration_value']);
	            } else {
	              $cfgValue = $configuration['configuration_value'];
	            }

	            if (((!$_GET['cID']) || (@$_GET['cID'] == $configuration['configuration_id'])) && (!$cInfo) && (substr($_GET['action'], 0, 3) != 'new')) {
	              $cfg_extra_query = shop_db_query("select configuration_key, configuration_description, date_added, last_modified, use_function, set_function from " . DB_PREFIX . "configuration where configuration_id = '" . $configuration['configuration_id'] . "'");
	              $cfg_extra = shop_db_fetch_array($cfg_extra_query);

	              $cInfo_array = array_merge($configuration, $cfg_extra);
	              $cInfo = new objectInfo($cInfo_array);
	            }

	            if ( (is_object($cInfo)) && ($configuration['configuration_id'] == $cInfo->configuration_id) ) {
	              echo '              <tr class="dataTableRowSelected">' . UNIX_RETURN;
	            } else {
	              echo '              <tr class="dataTableRow" onmouseover="this.style.cursor=\'pointer\'" onclick="document.location.href=\'' . shop_href_link(FILENAME_CONFIGURATION, 'gID=' . $_GET['gID'] . '&cID=' . $configuration['configuration_id']) . '\'">' . UNIX_RETURN;
	            }
	            ?>
	            <td height="18" class="dataTableContent" width="50%"> &nbsp; <?php echo $configuration['configuration_title']; ?></td>
	            <td class="dataTableContent" width="30%"><?php
	            if ((substr($configuration['configuration_key'],-5,5) == 'WIDTH' || substr($configuration['configuration_key'],-6,6) == 'HEIGHT') && ($cfgValue == null || $cfgValue < 1)) {
	              echo 'auto-calculate';
	            } else {
	              echo ucwords(htmlentities(substr($cfgValue,0,40) . ((strlen($cfgValue) > 40) ? '...' : '')));
	            }
	            ?>&nbsp;</td>
	            <td class="dataTableContent" align="right" valign="center"><?php if ( (is_object($cInfo)) && ($configuration['configuration_id'] == $cInfo->configuration_id) ) { echo shop_image(DIR_WS_IMAGES . 'icon_arrow_right.gif', ''); } else { echo '<a href="' . shop_href_link(FILENAME_CONFIGURATION, 'gID=' . $_GET['gID'] . '&cID=' . $configuration['configuration_id']) . '"></a>'; } ?></td>
	          </tr>
	          <?php
	          }
	          ?>
	        </table>
	      </td>
<?php
	$heading = array();
	$contents = array();
	$heading[] = array('text' => $cInfo->configuration_title);
	if ($cInfo->set_function) {
	  eval('$value_field = ' . $cInfo->set_function . "'" . $cInfo->configuration_value . "', '" . $cInfo->configuration_id . "', '', '" . $cInfo->configuration_description . "');");
	} else {
	  $value_field = '<b>' . $cInfo->configuration_title . '</b><br />' . $cInfo->configuration_description . '<br />' . shop_draw_input_field('configuration[' . $cInfo->configuration_id . ']', $cInfo->configuration_value, 'style="font-size:10px;width:98%;" maxlength="255"');
	}

	$contents = array('form' => shop_draw_form('configuration', FILENAME_CONFIGURATION, 'gID=' . $_GET['gID'] . '&cID=' . $cInfo->configuration_id . '&action=save'));
	$contents[] = array('text' => $value_field);
	$contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_update.gif', IMAGE_UPDATE) . '&nbsp;<a href="' . shop_href_link(FILENAME_CONFIGURATION, 'gID=' . $_GET['gID'] . '&cID=' . $cInfo->configuration_id) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');

	if ( ($heading) && ($contents) ) {
	echo '           <td class="infoBoxContent" valign="top" width="250">' . UNIX_RETURN;
	$box = new box;
	echo $box->infoBox($heading, $contents);
	echo '           </td>' . UNIX_RETURN;
	}
?>
	    </tr>
	  
	    <tr>
	      <td colspan="2" background="images/win_div.gif" width="8" height="1"></td>
	    </tr>
	    <tr>
	      <td colspan="2" align="left" valign="center" height="17" background="images/base_bg.gif">
<?php
include('contents/footer.php');
?>
	      </td>
	    </tr>
	  </table>
<!-- body_text_eof //-->
	</tr>
  </table>
<!-- body_eof //-->
<?php
  $languages = shop_get_languages();
  $languages_array = array();
  for ($i=0; $i<sizeof($languages); $i++) {
  $languages_array[] = array('id' => $languages[$i]['code'],
	             'text' => $languages[$i]['name']);
  }
?>
</body>
</html>