<?php

/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003, Secure.cc, Inc.

*/

define('HEADING_TITLE', 'Top Manufacturers');
define('TABLE_HEADING_MANUFACTURERS', 'Manufacturers');
define('GRAPHTYPE', 'piegraph');

$manufacturers_array = array();
$manufacturers_query = shop_db_query("select manufacturers_id, manufacturers_name from " . DB_PREFIX . "manufacturers order by manufacturers_name");
while ($manufacturers = shop_db_fetch_array($manufacturers_query)) {
  $ot = shop_db_fetch_array(shop_db_query("select sum(op.products_quantity * op.final_price) as ordersum, sum(op.products_quantity * op.products_cost) as cost from " . DB_PREFIX . "orders o, " . DB_PREFIX . "orders_products op, " . DB_PREFIX . "products p where o.orders_status != 5 and op.orders_id = o.orders_id and p.products_id = op.products_id and p.manufacturers_id = '" . $manufacturers['manufacturers_id'] . "' group by p.manufacturers_id;"));
  $manufacturers_array[] = array('manufacturers_id' => $manufacturers['manufacturers_id'], 'manufacturers_name' => $manufacturers['manufacturers_name'], 'ordersum' => $ot['ordersum'], 'cost' => $ot['cost']);
}

// Obtain a list of columns, to sort by
foreach ($manufacturers_array as $key => $row) {
	$ordersum[$key]  = $row['ordersum'];
	$manufacturers_name[$key] = $row['manufacturers_name'];
}
array_multisort($ordersum, SORT_DESC, $manufacturers_name, SORT_ASC, $manufacturers_array);

$currencies = new currencies();
$stats = '              <tr>';
$stats .= '                <td height="17" valign="center" class="dataTableContent" background="images/win_header_column.gif"></td>';
$stats .= '                <td height="17" valign="center" class="dataTableContent" background="images/win_header_column.gif" onmouseover="this.style.cursor=\'pointer\';"> &nbsp;' . TABLE_HEADING_MANUFACTURERS . '</td>';
$stats .= '                <td height="17" valign="center" class="dataTableContent" background="images/win_header_col_selected.gif" align="center" onmouseover="this.style.cursor=\'pointer\';">' . TABLE_HEADING_PURCHASED . '</td>';
$stats .= '                <td height="17" valign="center" class="dataTableContent" background="images/win_header_column.gif" align="center" onmouseover="this.style.cursor=\'pointer\';">' . TABLE_HEADING_COST . '</td>';
$stats .= '              </tr>';
$slice_number = 0;
$colornumber = 0;
$total_viewed = 0;
$total_ordered = 0;
$total_cost = 0;
$data = '';
$prod_stat = array();
$javascript_preload = '';
while (list($id,$manufacturers) = each($manufacturers_array)) {
  $ordered = $manufacturers['ordersum'];
  if ($ordered < 1) $ordered = 0;

  if ($colornumber > sizeof($colors)-1) $colornumber = 0;
  $focus = '\'jpgraphimagefocus=' . $slice_number . '\'';
  $onclick = 'onmouseover="this.style.cursor=\'pointer\'; document.jpgraph.src=\'jpgraphimagefocus=' . $slice_number . '\'"';
  $stats .= '              <tr class="dataTableRow" height="17" ' . $onclick . ' bgcolor="' . $colors[$colornumber] . '">';
  $stats .= '                <td class="dataTableContent" width="38"' . $onclick . ' bgcolor="' . $colors[$colornumber] . '" align="right" valign="center" height="17">statx' . $manufacturers['manufacturers_id'] . 'x&nbsp;</td>';
  $stats .= '                <td class="dataTableContent" ' . $onclick . ' bgcolor="' . $colors[$colornumber] . '" align="left" valign="center"> &nbsp;' . (($manufacturers['manufacturers_name']) ? $manufacturers['manufacturers_name'] : 'Unknown') . '</td>';
  $stats .= '                <td class="dataTableContent" width="70" ' . $onclick . ' bgcolor="' . $colors[$colornumber] . '" align="right" valign="center">' . $currencies->format($ordered) . ' &nbsp;</td>';
  $stats .= '                <td class="dataTableContent" width="70" ' . $onclick . ' bgcolor="' . $colors[$colornumber] . '" align="right" valign="center">' . $currencies->format($manufacturers['cost']) . ' &nbsp;</td>';
  $stats .= '              </tr>';
  $javascript_preload .= 'image' . $products['products_id'] . ' = new Image();' . UNIX_RETURN . 'image' . $manufacturers['manufacturers_id'] . '.src = ' . $focus . ';' . UNIX_RETURN;


  $data .= 'data[' . $slice_number . ']=' . $ordered . '&';
  $prod_stat[$manufacturers['manufacturers_id']] =  $ordered;
  $slice_number ++;
  $colornumber ++;
  $total_ordered += $ordered;
  $total_cost += $manufacturers['cost'];
}
$jpgraphimage = DIR_WS_ADMIN . 'contents/piegraph.php?' . $data;

while (list($key,$value) = each($prod_stat)) {
  $stats = str_replace(('statx' . $key . 'x'), round($value / $total_ordered * 100) . '%', $stats);
}

$focus = '\'jpgraphimage\'';
$javascript_preload .= 'image' . $products['products_id'] . ' = new Image();' . UNIX_RETURN . 'image' . $products['products_id'] . '.src = ' . $focus . ';' . UNIX_RETURN;
$onclick = 'onmouseover="this.style.cursor=\'pointer\'; document.jpgraph.src=\'jpgraphimage\'"';
$stats .= '              <tr class="dataTableRow" height="17" ' . $onclick . ' bgcolor="c8c8c8">';
$stats .= '                <td class="dataTableContent" bgcolor="c8c8c8" ' . $onclick . ' align="right" valign="center" height="17">100%&nbsp;</td>';
$stats .= '                <td class="dataTableContent" bgcolor="c8c8c8" ' . $onclick . ' align="left" valign="center"> &nbsp;Total</td>';
$stats .= '                <td class="dataTableContent" bgcolor="c8c8c8" ' . $onclick . ' align="right" valign="center" height="17">' . $currencies->format($total_ordered) . ' &nbsp;</td>';
$stats .= '                <td class="dataTableContent" bgcolor="c8c8c8" ' . $onclick . ' align="right" valign="center" height="17">' . $currencies->format($total_cost) . ' &nbsp;</td>';
$stats .= '              </tr>';
$stats = $stats . UNIX_RETURN . '<script language="javascript"><!--' . UNIX_RETURN . $javascript_preload . UNIX_RETURN . '//--></script>';

$stats = str_replace(array('jpgraphimage','[',']'), array($jpgraphimage,'%5B','%5D'), $stats);
