INSERT INTO configuration VALUES (NULL, 'Allow one coupon per order', 'COUPONS_ALLOW_ONE', 'false', 'Only allow one coupon per order. Set to false to allow coupon stacking.', 2, 5, now(), now(), NULL, 'shop_cfg_select_option(array(''true'', ''false''),');
INSERT INTO configuration VALUES (NULL, 'Google Analytics Account Code', 'GOOGLE_ANALYTICS', '', 'Google Analytics Account Code (format: UA-xxxxx-x)', 2, 6, now(), now(), NULL, '');
INSERT INTO configuration VALUES (NULL, 'Google Analytics Conversion Code', 'GOOGLE_ANALYTICS_CONVERSION', '', 'Google Analytics Conversion Code (numeric)', 2, 7, now(), now(), NULL, '');
ALTER TABLE products_attributes CHANGE options_model options_model VARCHAR( 64 ) NULL DEFAULT NULL ;
CREATE TABLE orders_status_values (status_id tinyint(3) unsigned NOT NULL auto_increment, language_id tinyint(3) unsigned NOT NULL default '0', status_name varchar(255) NOT NULL default '', status_type enum('new','processing','intransit','delivered','terminated') NOT NULL default 'new', is_active enum('0','1') NOT NULL default '0', sort_order tinyint(3) unsigned NOT NULL default '0', PRIMARY KEY  (status_id,language_id)) TYPE=MyISAM COMMENT='Order Status Values';
INSERT INTO orders_status_values VALUES (1, 1, 'New', 'new', '1', 1);
INSERT INTO orders_status_values VALUES (2, 1, 'Processing', 'processing', '1', 2);
INSERT INTO orders_status_values VALUES (3, 1, 'Shipped', 'intransit', '0', 3);
INSERT INTO orders_status_values VALUES (4, 1, 'Delivered', 'delivered', '0', 4);
INSERT INTO orders_status_values VALUES (5, 1, 'Cancelled', 'terminated', '0', 5);
INSERT INTO configuration VALUES (NULL, 'Default Order Status For New Orders', 'DEFAULT_ORDERS_STATUS_ID', '1', 'When a new order is created, this order status will be assigned to it.', 6, 0, now(), now(), NULL, NULL);
ALTER TABLE products_attributes ADD options_sku VARCHAR( 64 ) NOT NULL AFTER options_model;
ALTER TABLE categories_description ADD meta_title TEXT NOT NULL AFTER categories_name, ADD meta_keywords TEXT NOT NULL AFTER meta_title, ADD meta_description TEXT NOT NULL AFTER meta_keywords;
ALTER TABLE categories_description ADD categories_display_text TEXT NOT NULL AFTER categories_name;
INSERT INTO configuration VALUES (NULL, 'Graphical Text Editor', 'TEXT_EDITOR', 'Basic', 'Type of text editor to use when modifying product descriptions, etc', '2', '8', now(), now(), NULL, 'shop_cfg_select_option(array(''None'', ''Basic'', ''Intermediate'', ''Advanced''),');
UPDATE configuration SET configuration_value = '10' WHERE configuration_key = 'SHOX_RELEASE';
