<?php
/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003, Secure.cc, Inc.

*/
$see_also = 'See also: <a href="help.php?page=configuration.php&gID=14">Store policies</a>';
?>
<table width="100%" border="0" cellpadding="4" cellspacing="0">
<tr><td class="large">Store Features</td></tr>
<tr><td valign="top">
<blockquote><p align="justify">The "Store Features" section of eShox can be accessed via eShox Admin. Open a Web browser and enter the following URL: http://your-domain-or-ip/shop/admin/. Click on "eShox Features" under "eShox Setup" on the left "Administration" window. To make changes to an option: select the option, make any necessary changes, then click "Update". Store setup options include:

<blockquote>

<p><u>Enable file download</u>
<p align="justify">The "Enable download" option is used to enable file download capability in eShox. The default is false, no file download functions are enabled. Once enabled, the "Downloadable products" option will appear in the "Product Options" section of eShox Admin. If a user buys a product whose option includes a downloadable file, the user will be presented with a download option after checkout.

<p><u>Music Features</u>
<p align="justify">The "Music Features" option is used to enable music features in eShox. The default is false, no music features are enabled. Music features include: artist and band pictures and biographies; albums and tracks with optional sample track download; and tour dates. Once enabled, the music admin options will appear under "Catalog Setup" on the left "Administration" window.

<p><u>Serial Number Features</u>
<p align="justify">The "Serial Number Features" option is used to enable serial number generation features in eShox. The default is false, no serial number features are enabled. Serial number features are generally used by software developers to provide serial numbers to end users. Once enabled, the "Serial Numbers" admin option will appear under "Catalog Setup" on the left "Administration" window.

<p><u>Limit store access to "resellers"</u>
<p align="justify">The "Limit store access to resellers" option is used to protect the store from unauthorized access. The default is false, no authorization required. This option allows vendors to create stores that are only available to specific customers, which protects special pricing from being available to unauthorized users. Once enabled, a customer authentication page is displayed to all users before entering the store. New users will not be able to create their own accounts. You can create user accounts by importing them using the "import/export" feature.

<p><u>Real-time currency rate updates</u>
<p align="justify">The "Real-time currency rate updates" option is used to define whether or not eShox will update currency exchange rates on a daily basis. The rates are pulled from Secure.cc's currency rate server and are not guaranteed accurate as they may be delayed or otherwise inaccurate. Secure.cc makes it's best effort to provide accurate currency rates but shall not be liable if the rates are not accurate.

</blockquote>

</blockquote>
</tr>
</table>