<?php
/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003, Secure.cc, Inc.

*/
$see_also = 'See also: <a href="help.php?page=currencies.php">Setting up Currencies</a>';
?>
<table width="100%" border="0" cellpadding="4" cellspacing="0">
<tr><td class="large">Tax zones, classes and rates</td></tr>
<tr><td valign="top">
<blockquote><p align="justify">Tax zones are regional areas within which specific tax rates are charged (for example: a tax zone named "California" may be added for customers within California). Tax classes are used to define tax rates that products can be classified as (for example: a "Taxable Items" tax class could be added for taxable products). Tax rates are used in conjunction with tax zones and tax classes to apply tax rates to products (for example: a tax rate of "8.25%" could be added to products that use the "Taxable Items" tax class purchased by customers within the "California" tax zone).

<blockquote><p><u>Tax Zones</u>
<p align="justify">Tax zones work like categories, within which multiple states or zones may be added. The "Tax Zones" section of eShox can be accessed via eShox Admin. Open a Web browser and enter the following URL: http://your-domain-or-ip/shop/admin/. Click on "Tax Zones" under "Tax Setup" on the left "Administration" window.

<p align="justify">To add a tax zone: click "Insert", enter the name and description of the new tax zone and click "Insert". To add states or zones to a tax zone: select the tax zone, click a second time on the tax zone, click "Insert", select the country from the pop-up list (of countries currently defined in the "Countries" section of eShox Admin), select the state or zone to be added from the pop-up list (of zones and states currently defined in the "Zones & States" section of eShox Admin) and click "Insert".

<p align="justify">To delete a tax zone: select the tax zone and click "Delete". To delete a zone or state from a tax zone: select the tax zone, click a second time on the tax zone, select the zone or state you wish to delete and click "Delete". To make changes to a tax zone: select the tax zone, click "Edit", make any necessary changes and click "Update".

<p><u>Tax Classes</u>
<p align="justify">The "Tax Classes" section of eShox can be accessed via eShox Admin. Open a Web browser and enter the following URL: http://your-domain-or-ip/shop/admin/. Click on "Tax Classes" under "Tax Setup" on the left "Administration" window.

<p align="justify">To add a tax class: click "Insert", enter the name and description of the new tax class and click "Insert". To delete a tax class: select the tax class and click "Delete". To make changes to a tax class: select the tax class, click "Edit", make any necessary changes and click "Update".

<p><u>Tax Rates</u>
<p align="justify">The "Tax Rates" section of eShox can be accessed via eShox Admin. Open a Web browser and enter the following URL: http://your-domain-or-ip/shop/admin/. Click on "Tax Rates" under "Tax Setup" on the left "Administration" window.

<p align="justify">To add a tax rate: click "Insert", select the tax class for the new rate, select the tax zone within which this rate will be charged, enter the tax rate (percentage) and click "Insert". To delete a tax rate: select the tax rate and click "Delete". To make changes to a tax rate: select the tax rate, click "Edit", make any necessary changes and click "Update".

</blockquote>

</blockquote>

</tr>
</table>