<?php
/*

  eShox 4 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003-04, Secure.cc, Inc. All rights reserved.

  SOFTWARE LICENSE INFORMATION

  http://www.eshox.com/license.html

  PLEASE READ THE SECURE.CC, INC SINGLE USE SOFTWARE LICENSE AGREEMENT ("LICENSE") 
  CAREFULLY BEFORE INSTALLING OR USING THE SOFTWARE. BY INSTALLING OR USING THE 
  SOFTWARE, YOU ARE AGREEING TO BE BOUND BY THE TERMS OF THE LICENSE.

*/

require('contents/resources.php');
require('contents/xml.php');

switch ($_GET['action']) {
	case 'import':
		if (!$_FILES['products']) break;
		
		$xml_file = implode('',file($_FILES['products']['tmp_name']));
		$xml_source = '<' . '?xml version="1.0" encoding="UTF-8"?' . '><data>' . substr($xml_file,strpos($xml_file,'?' . '>')+3) . '</data>';
		$output = shop_array_xml($xml_source);
		
		if ($output['data'][1]['product_options']) {
			$modifiers = array('language' => array('name' => 'language_id'), 
							   'option_name' => array('name' => 'products_options_id', 'select' => 'products_options_id', 'from' => 'products_options', 'where' => 'products_options_name', 'and' => array('language_id', $languages_id)),
							   'options_name' => array('name' => 'products_options_name'),
							   'values_name' => array('name' => 'products_options_values_name'),
							   
							   'products_options_name' => array('and' => array('language_id' => $languages_id)),
							   'products_options_values_name' => array('and' => array('language_id' => $languages_id)),

							   'option' => array('table' => 'products_options'),
							   'value' => array('table' => 'products_options_values'),
							   
							   'products_options' => array('key' => array('name' => 'products_options_name', 'id' => 'products_options_id', 'and' => array('language_id', $languages_id))),
							   'products_options_values' => array('key' => array('name' => 'products_options_values_name', 'id' => 'products_options_values_id', 'and' => array('language_id', $languages_id))));
	
			$languages_query = shop_db_query("select code as name, languages_id as id from " . DB_PREFIX . "languages");
			while ($languages = shop_db_fetch_array($languages_query)) { $modifiers['language']['values'][$languages['name']] = $languages['id']; }
			
			shop_import_xml(array('product_options' => $output['data'][1]['product_options']), $modifiers);
		}

		if ($output['data'][1]['categories']) {
			$modifiers = array('language' => array('name' => 'language_id'), 
							   'parent_code' => array('name' => 'parent_id', 'select' => 'categories_id', 'from' => 'categories', 'where' => 'categories_code'),

							   'category' => array('table' => 'categories'),
							   
							   'categories' => array('key' => array('name' => 'categories_code', 'id' => 'categories_id'), 'parent' => 'categories_id'),
							   'categories_description' => array('table' => 'categories_description', 'add' => 'categories_id'));
	
			$languages_query = shop_db_query("select code as name, languages_id as id from languages");
			while ($languages = shop_db_fetch_array($languages_query)) { $modifiers['language']['values'][$languages['name']] = $languages['id']; }
			
			shop_import_xml(array('categories' => $output['data'][1]['categories']), $modifiers);
		}

		if ($output['data'][1]['products']) {
			$modifiers = array('language' => array('name' => 'language_id'), 
							   'tax_class' => array('name' => 'products_tax_class_id'), 
							   'manufacturer' => array('name' => 'manufacturers_id', 'select' => 'manufacturers_id', 'from' => 'manufacturers', 'where' => 'manufacturers_name'), 
							   'category' => array('name' => 'categories_id', 'select' => 'categories_id', 'from' => 'categories', 'where' => 'categories_code'), 
							   'input_name' => array('name' => 'customer_options_options_id', 'select' => 'customer_options_options_id', 'from' => 'customer_options_options', 'where' => 'customer_options_options_name'),
							   'options_name' => array('name' => 'options_id', 'select' => 'products_options_id', 'from' => 'products_options', 'where' => 'products_options_name'),
							   'values_name' => array('name' => 'options_values_id', 'select' => 'products_options_values_id', 'from' => 'products_options_values', 'where' => 'products_options_values_name'),
							   
							   'product' => array('table' => 'products'),
							   'products_category' => array('table' => 'products_to_categories'),
							   'products_options' => array('table' => 'products_attributes'),
							   'products_customer_options' => array('table' => 'customer_options'),
							   
							   'products' => array('key' => array('name' => 'products_model', 'id' => 'products_id'), 'parent' => 'products_id'),
							   'products_description' => array('table' => 'products_description', 'add' => 'products_id'), 
							   'products_to_categories' => array('add' => 'products_id'),
							   'products_attributes' => array('key' => array('name' => 'options_model', 'id' => 'products_attributes_id'), 'add' => 'products_id'),
							   'customer_options' => array('add' => 'products_id'));
	
			$tax_class_query = shop_db_query("select tax_class_title as name, tax_class_id as id from tax_class");
			while ($tax_class = shop_db_fetch_array($tax_class_query)) { $modifiers['tax_class']['values'][$tax_class['name']] = $tax_class['id']; }
	
			$languages_query = shop_db_query("select code as name, languages_id as id from languages");
			while ($languages = shop_db_fetch_array($languages_query)) { $modifiers['language']['values'][$languages['name']] = $languages['id']; }
			
			shop_import_xml(array('products' => $output['data'][1]['products']), $modifiers);
		}
		
		if ($GLOBALS['xml']['errors']) {
			foreach($GLOBALS['xml']['errors'] as $id => $error) trigger_error($error, E_ERROR);
			die;
		}
		
		$message = '<h1>Import Complete</h1>' . UNIX_RETURN . '<p>Record Statistics:</p>';
		foreach($GLOBALS['xml']['records'] as $table => $count) $message .= $table . ': ' . $count . '<br />';

		break;
	case 'export':
		
		$products = array('table' => 'products', 'title' => 'product', 'id' => 'products_model', 'exclude' => array('products_id','products_tax_class_id','manufacturers_id'), 'fields' => array('products_id','products_tax_class_id','manufacturers_id','products_model','products_sku','products_quantity','products_weight','products_status','products_price','products_cost','products_image','products_thumb'),
						  'portals' => array(array('table' => 'products_attributes', 'title' => 'products_options', 'id' => 'products_id', 'exclude' => array('products_id', 'options_id', 'options_values_id'), 'key' => array('products_id' => 'products_id'), 'fields' => array('options_model', 'options_id', 'options_values_id', 'options_values_price', 'price_prefix', 'attribute_image', 'is_default', 'locx', 'locy'),
												   'portals' => array(array('table' => 'products_options', 'hidden' => true, 'id' => 'products_options_id', 'exclude' => array('products_options_id'), 'keys' => array('language_id' => $languages_id), 'key' => array('products_options_id' => 'options_id'), 'fields' => array('products_options_name as options_name')),
																	  array('table' => 'products_options_values', 'hidden' => true, 'id' => 'products_options_values_id', 'exclude' => array('products_options_values_id'), 'keys' => array('language_id' => $languages_id), 'key' => array('products_options_values_id' => 'options_values_id'), 'fields' => array('products_options_values_name as values_name')))),
										     array('table' => 'customer_options', 'title' => 'products_customer_options', 'id' => 'products_id', 'exclude' => array('products_id','customer_options_options_id'), 'key' => array('products_id' => 'products_id'), 'fields' => array('customer_options_options_id', 'options_type', 'locx', 'locy'),
												   'portals' => array(array('table' => 'customer_options_options', 'hidden' => true, 'id' => 'customer_options_options_id', 'exclude' => array('customer_options_options_id'), 'keys' => array('language_id' => $languages_id), 'key' => array('customer_options_options_id' => 'customer_options_options_id'), 'fields' => array('customer_options_options_name as input_name', 'options_button')))),
										     array('table' => 'products_to_categories', 'hidden' => true, 'id' => 'categories_id', 'exclude' => array('categories_id'), 'key' => array('products_id' => 'products_id'), 'fields' => array('categories_id'),
												   'portals' => array(array('table' => 'categories', 'title' => 'products_category', 'id' => 'categories_id', 'exclude' => array('categories_id'), 'key' => array('categories_id' => 'categories_id'), 'fields' => array('categories_code as category')))),
										     array('table' => 'tax_class', 'hidden' => true, 'id' => 'tax_class_id', 'key' => array('tax_class_id' => 'products_tax_class_id'), 'exclude' => array('tax_class_id'), 'fields' => array('tax_class_title as tax_class')),
										     array('table' => 'manufacturers', 'hidden' => true, 'id' => 'manufacturers_id', 'key' => array('manufacturers_id' => 'manufacturers_id'), 'exclude' => array('manufacturers_id'), 'fields' => array('manufacturers_name as manufacturer')),
										     array('table' => 'products_description', 'id' => 'language_id', 'exclude' => array('products_id', 'language_id'), 'key' => array('products_id' => 'products_id'),'fields' => array('language_id','products_name','products_url','products_description'),
												   'portals' => array(array('table' => 'languages', 'hidden' => true, 'id' => 'code', 'exclude' => array('languages_id', 'code'), 'key' => array('languages_id' => 'language_id'), 'fields' => array('code as language'))))));

		$categories = array('table' => 'categories', 'title' => 'category', 'id' => 'categories_code', 'exclude' => array('categories_id', 'parent_id'), 'fields' => array('categories_id','parent_id','categories_image','categories_code','categories_status'),
						    'portals' => array(array('table' => 'categories', 'id' => 'categories_code', 'hidden' => true, 'exclude' => array('categories_id'), 'key' => array('categories_id' => 'parent_id'),'fields' => array('categories_code as parent_code')),
											   array('table' => 'categories_description', 'id' => 'language_id', 'exclude' => array('categories_id', 'language_id'), 'key' => array('categories_id' => 'categories_id'),'fields' => array('language_id','categories_name'),
												     'portals' => array(array('table' => 'languages', 'hidden' => true, 'id' => 'code', 'exclude' => array('languages_id', 'code'), 'key' => array('languages_id' => 'language_id'), 'fields' => array('code as language'))))));

		$options = array('table' => 'products_options', 'title' => 'option', 'id' => 'language_id', 'exclude' => array('products_options_id','language_id'), 'fields' => array('language_id','products_options_id','products_options_name as options_name', 'options_mode', 'options_button'),
						 'portals' => array(array('table' => 'languages', 'hidden' => true, 'id' => 'code', 'exclude' => array('languages_id', 'code'), 'key' => array('languages_id' => 'language_id'), 'fields' => array('code as language'))));

		$values = array('table' => 'products_options_values', 'title' => 'value', 'id' => 'language_id', 'exclude' => array('products_options_id','products_options_values_id','language_id'), 'fields' => array('language_id','products_options_values_id','products_options_id','products_options_values_name as values_name'),
						'portals' => array(array('table' => 'products_options', 'hidden' => true, 'id' => 'products_options_id', 'exclude' => array('products_options_id'), 'keys' => array('language_id' => $languages_id), 'key' => array('products_options_id' => 'products_options_id'), 'fields' => array('products_options_name as option_name')),
										   array('table' => 'languages', 'hidden' => true, 'id' => 'code', 'exclude' => array('languages_id', 'code'), 'key' => array('languages_id' => 'language_id'), 'fields' => array('code as language'))));

		header("Content-Type: application/octet-stream");
		header('Content-disposition: attachment; filename="eshox-export.xml"');
		die('<' . '?xml version="1.0" encoding="UTF-8" ?' . '>' . UNIX_RETURN . 
			'<product_options>' . UNIX_RETURN . shop_export_xml($options, 1)  . shop_export_xml($values, 1) . '</product_options>' . UNIX_RETURN .
			'<categories>' . UNIX_RETURN . shop_export_xml($categories, 1) . '</categories>' . UNIX_RETURN .
			'<products>' . UNIX_RETURN . shop_export_xml($products, 1) . '</products>');
}

?><html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<title>eShox: Express XML Portal</title> 
	<link rel="stylesheet" type="text/css" href="contents/stylesheet.css" />
	<link rel="JavaScript" type="text/javascript" href="contents/eshox_os/scripts.js" />
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="333333">
<!-- header //-->
<table width="100%" border="0" cellpadding="0" cellspacing="0">
<?php $help_page = MYSELF; include('contents/header.php'); ?>
</table>
<!-- header_eof //-->
<!-- body //-->
<table border="0" width="100%" cellspacing="8" cellpadding="1" bgcolor="333333">
	<tr>
<!-- left_navigation //-->
		<td width="<?php echo BOX_WIDTH; ?>" valign="top">
			<table border="0" width="160" cellspacing="0" cellpadding="0">
				<?php require('contents/navbar.php'); ?>
			</table>
		</td>
<!-- left_navigation_eof //-->
<!-- body_text //-->
		<td width="100%" valign="top">
			<table width="100%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td colspan="2">
						<table width="100%" border="0" cellpadding="0" cellspacing="0">
							<tr>
								<td width="8">
									<img src="images/win_header_left.gif" width="8" height="22" /> 
								</td>
								<td class="windowHeading" background="images/win_header_bg.gif" height="22" align="center" valign="center">
									Express XML Portal
								</td>
								<td width="8">
									<img src="images/win_header_right.gif" width="8" height="22" /> 
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td bgcolor="ffffff" valign="top">
						<table width="100%" border="0" cellpadding="0" cellspacing="0">
							<tr>
								<td background="images/win_header_column.gif" height="17" width="50%" valign="center" align="left" class="dataTableContent">
									&nbsp; Title
								</td>
								<td background="images/win_header_column.gif" height="17" valign="center" class="dataTableContent" align="right">
									&nbsp; 
								</td>
							</tr>
							<tr class="dataTableRowSelected">
								<td height="18" class="dataTableContent" width="50%">
									&nbsp; Categories &amp; Products Database 
								</td>
								<td class="dataTableContent" align="right" valign="center">
									<?php echo shop_image(DIR_WS_IMAGES . 'icon_arrow_right.gif', ''); ?>
								</td>
							</tr>
						</table>
					</td>
					<td class="infoBoxContent" valign="top" width="250">
<?php
	$heading = array();
	$contents = array();
	
	$heading[] = array('text' => 'Import/Export Options');

	$contents = array('form' => shop_draw_form('import', MYSELF, '?action=import', 'post', 'enctype="multipart/form-data"'));
	$contents[] = array('text' => shop_draw_file_field('products'));
	$contents[] = array('align' => 'right', 'text' => shop_image_submit('button_import.gif', IMAGE_IMPORT) . '&nbsp; <a href="' . MYSELF . '?action=export">' . shop_image_button('button_export.gif', IMAGE_IMPORT) . '</a>');
	
	if ($message) $contents[] = array('text' => $message);
	
	if ( ($heading) && ($contents) ) {
	$box = new box;
	echo $box->infoBox($heading, $contents);
	}
	echo '</form>';
?>
					</td>
				</tr>
				<tr>
					<td colspan="2" background="images/win_div.gif" width="8" height="1">
					</td>
				</tr>
				<tr>
					<td colspan="2" align="left" valign="center" height="17" background="images/base_bg.gif">
<?php include('contents/footer.php'); ?>
					</td>
				</tr>
			</table>
			
		</td>
<!-- body_text_eof //-->
	</tr>
</table>
<!-- body_eof //-->
</body>
</html>
