<?php
/*
	eShox OS
	http://www.eshox.com/

	Copyright (c) 2003, Secure.cc, Inc.

	Released under the GNU General Public License

*/

return true;

  class order {
	var $info, $totals, $products, $customer, $delivery;

	function order($order_id) {
	  $this->info = array();
	  $this->totals = array();
	  $this->products = array();
	  $this->customer = array();
	  $this->delivery = array();

	  $this->query($order_id);
	}

	function query($order_id) {
	  $order_query = shop_db_query("select o.*, c.customers_firstname, c.customers_lastname, c.customers_code, c.customers_fax from " . DB_PREFIX . "orders o, " . DB_PREFIX . "customers c where c.customers_id=o.customers_id and o.orders_id = '" . ($order_id) . "'");
	  $order = shop_db_fetch_array($order_query);

	  $totals_query = shop_db_query("select * from " . DB_PREFIX . "orders_total where orders_id = '$order_id'");
	  $subtotal = 0;
	  $tax = 0;
	  $shipping = 0;
	  $total = 0;
	  while ($totals = shop_db_fetch_array($totals_query)) {
	    $this->totals[] = array('class' => $totals['class'],
	                            'title' => $totals['title'],
	                            'text' => $totals['text'],
	                            'value' => $totals['value']);
	    switch ($totals['class']) {
	       case 'ot_subtotal':
	          $subtotal = $totals['value'];
	          break;
	       case 'ot_tax':
	          $tax = $totals['value'];
	          break;
	       case 'ot_shipping':
	          $shipping = $totals['value'];
	          break;
	       case 'ot_total':
	          $total = $totals['value'];
	          break;
	       case 'ot_coupon':
	          $coupons = $totals['value'];
	          break;
	    }
	  }

	  $this->info = array('currency' => $order['currency'],
	                      'currency_value' => $order['currency_value'],
	                      'payment_method' => $order['payment_method'],
	                      'shipping_method' => $order['shipping_method'],
	                      'cc_type' => $order['cc_type'],
	                      'cc_owner' => $order['cc_owner'],
	                      'cc_number' => $order['cc_number'],
	                      'cc_expires' => $order['cc_expires'],
	                      'comments' => $order['comments'],
	                      'date_purchased' => $order['date_purchased'],
	                      'orders_status' => shop_get_orders_status($order['orders_status']),
	                      'last_modified' => $order['last_modified'],
	                      'last_updater' => $order['last_updater'],
	                      'subtotal' => $subtotal,
	                      'tax' => $tax,
	                      'shipping' => $shipping,
	                      'total' => $total,
	                      'coupons' => @$coupons,
	                      'affiliate' => $order['affiliate'],
	                      'status' => shop_get_orders_status($order['orders_status']));

	  $this->customer = array('customers_code' => $order['customers_code'],
	                          'customers_id' => $order['customers_id'],
	                          'customers_firstname' => $order['customers_firstname'],
	                          'customers_lastname' => $order['customers_lastname'],
	                          'name' => $order['customers_name'],
	                          'company' => $order['customers_company'],
	                          'street_address' => $order['customers_street_address'],
	                          'street_address_2' => $order['customers_street_address_2'],
	                          'city' => $order['customers_city'],
	                          'postcode' => $order['customers_postcode'],
	                          'state' => $order['customers_state'],
	                          'country' => $order['customers_country'],
	                          'format_id' => $order['customers_address_format_id'],
	                          'telephone' => $order['customers_telephone'],
	                          'fax' => $order['customers_fax'],
	                          'email_address' => $order['customers_email_address']);

	  $this->delivery = array('name' => $order['delivery_name'],
	                          'company' => $order['delivery_company'],
	                          'street_address' => $order['delivery_street_address'],
	                          'street_address_2' => $order['delivery_street_address_2'],
	                          'city' => $order['delivery_city'],
	                          'postcode' => $order['delivery_postcode'],
	                          'state' => $order['delivery_state'],
	                          'country' => $order['delivery_country'],
	                          'format_id' => $order['delivery_address_format_id']);

	  $orders_products_query = shop_db_query("select orders_products_id, products_id, products_image, products_name, products_model, products_price, products_cost, products_tax, products_quantity, final_price, serial_number from " . DB_PREFIX . "orders_products where orders_id = '" . ($order_id) . "'");
	  while ($orders_products = shop_db_fetch_array($orders_products_query)) {
	    $products_sku_query = shop_db_query("select products_sku, manufacturers_id from " . DB_PREFIX . "products where products_id = '" . $orders_products['products_id'] . "'");
	    $products_sku = shop_db_fetch_array($products_sku_query);
	    
	    $this->products[$orders_products['products_id']] = array('qty' => $orders_products['products_quantity'],
	                                    'id' => $orders_products['products_id'],
	                                    'name' => $orders_products['products_name'],
	                                    'model' => $orders_products['products_model'],
	                                    'image' => $orders_products['products_image'],
	                                    'sku' => $products_sku['products_sku'],
	                                    'tax' => $orders_products['products_tax'],
	                                    'price' => $orders_products['products_price'],
	                                    'cost' => $orders_products['products_cost'],
	                                    'final_price' => $orders_products['final_price'],
	                                    'serial_number' => $orders_products['serial_number']);

	    $attributes_query = shop_db_query("select *, products_options as products_options_name, products_options_values as products_options_values_name, options_values_price as price from " . DB_PREFIX . "orders_products_attributes where orders_id = '" . ($order_id) . "' and orders_products_id = '" . $orders_products['orders_products_id'] . "'");
	    if (shop_db_num_rows($attributes_query)) {
	      while ($attributes = shop_db_fetch_array($attributes_query)) {
	        $this->products[$orders_products['products_id']]['attributes'][$attributes['products_options_id']] = $attributes;
	      }
	    }
	    $customer_options_query = shop_db_query("select *, customer_options as customer_options_name from " . DB_PREFIX . "orders_customer_options where orders_id = '" . ($order_id) . "' and products_id = '" . $orders_products['orders_products_id'] . "'");
	    if (shop_db_num_rows($customer_options_query)) {
	      while ($customer_options = shop_db_fetch_array($customer_options_query)) {
	          $this->products[$orders_products['products_id']]['customer_options'][$customer_options['customer_options_id']] = $customer_options;
	      }
	    }
	  }
	}
  }
