<?php

/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003, Secure.cc, Inc.

*/

define('HEADING_TITLE', 'Past Year Cumulative');
define('TABLE_HEADING_DATE', 'Weeks');
define('GRAPHTYPE', 'linegraph');

define('ONEUWEEK', (60*60*24*7));
define('ONEUYEAR', (ONEUWEEK*52));

$each_day = time('u') - ONEUYEAR;
$dates = array();
for ($i=0, $n=(52); $i<$n; $i++) {
  $dates[$i] = array('startdate' => date('Y-m-d H:i:s', $each_day), 'enddate' => date('Y-m-d H:i:s', $each_day+ONEUWEEK), 'full' => date('m/d/Y', $each_day) . " thru " . date('m/d/Y', $each_day+ONEUWEEK), 'dat' => date('M y', $each_day));
  $each_day += ONEUWEEK;
}
$currencies = new currencies();
$stats = '              <tr>';
$stats .= '                <td height="17" valign="center" class="dataTableContent" background="images/win_header_column.gif"></td>';
$stats .= '                <td height="17" valign="center" class="dataTableContent" background="images/win_header_column.gif" onmouseover="this.style.cursor=\'pointer\';"> &nbsp;' . TABLE_HEADING_DATE . '</td>';
$stats .= '                <td height="17" valign="center" class="dataTableContent" background="images/win_header_col_selected.gif" align="center" onmouseover="this.style.cursor=\'pointer\';">' . TABLE_HEADING_PURCHASED . '</td>';
$stats .= '                <td height="17" valign="center" class="dataTableContent" background="images/win_header_column.gif" align="center" onmouseover="this.style.cursor=\'pointer\';">' . TABLE_HEADING_PROFIT . '</td>';
$stats .= '              </tr>';
$colornumber = 0;
$total_ordered = 0;
$total_profit = 0;
$data = '';
$data2 = '';
$data3 = '';
$javascript_preload = '';
$colors = array('E0E0E0','FFFFFF','E0E0E0');
$ordersum = 0;
$profitsum = 0;
$profit = 0;
$slice_number = 0;
$averagesum = 0;
$total = shop_db_fetch_array(shop_db_query("select sum(op.products_quantity * op.final_price) as ordersum, sum((op.products_quantity * op.final_price) - (op.products_quantity * op.products_cost)) as profit from " . DB_PREFIX . "orders_products op, " . DB_PREFIX . "orders o where o.orders_status != 5 and o.orders_id = op.orders_id"));
$average_ordersum_month = $total['ordersum'];
$average_profitsum_month = $total['profit'];
$numweeks = 52;
$started = 0;
$movingaverage = 0;
$movingaveragesum = 0;
for ($j=0, $n=(52); $j<$n; $j++) {
  $orders_query_raw = "select sum(op.products_quantity * op.final_price) as ordersum, sum((op.products_quantity * op.final_price) - (op.products_quantity * op.products_cost)) as profit from " . DB_PREFIX . "orders_products op, " . DB_PREFIX . "orders o where o.orders_status != 5 and o.date_purchased >= '" . $dates[$j]['startdate'] . "' and o.date_purchased <= '" . $dates[$j]['enddate'] . "' and op.orders_id = o.orders_id";
  $orders_query = shop_db_query($orders_query_raw);
  $orders = shop_db_fetch_array($orders_query);
  if ($orders['ordersum'] == 0 && $started == 0) { $numweeks--; continue; } else { $started = 1; }
  $ordersum += $orders['ordersum'];
  $profitsum += $orders['profit'];
  $movingaverage = (($movingaverage + $orders['ordersum'])/2);
  $movingaveragesum += round($movingaverage);
  $averageordersum += round($average_ordersum_month/$numweeks);
  if ($colornumber > sizeof($colors)) $colornumber = 0;
  $onmouseover = 'onmouseover="this.style.cursor=\'pointer\'; document.jpgraph.src=\'profitimage\'"';
  $stats .= '              <tr class="dataTableRow" height="17" bgcolor="' . $colors[$colornumber] . '">';
  $stats .= '                <td class="dataTableContent" width="38" bgcolor="' . $colors[$colornumber] . '" align="right" valign="center" height="17">' . ($slice_number+1) . '&nbsp;</td>';
  $stats .= '                <td class="dataTableContent" bgcolor="' . $colors[$colornumber] . '" align="left" valign="center"> &nbsp;' . $dates[$j]['full'] . '</td>';
  $stats .= '                <td class="dataTableContent" width="70" onmouseover="this.style.cursor=\'pointer\'; document.jpgraph.src=\'ordersumimage\'" bgcolor="' . $colors[$colornumber] . '" align="right" valign="center">+' . $currencies->format($orders['ordersum']) . ' &nbsp;</td>';
  $stats .= '                <td class="dataTableContent" width="70" onmouseover="this.style.cursor=\'pointer\'; document.jpgraph.src=\'profitimage\'" bgcolor="' . $colors[$colornumber] . '" align="right" valign="center">+' . $currencies->format($orders['profit']) . ' &nbsp;</td>';
  $stats .= '              </tr>';

  $data .= 'data[' . $slice_number . ']=' . $ordersum . '&';
  $data2 .= 'data[' . $slice_number . ']=' . $profitsum . '&';
  $data3 .= 'data[' . $slice_number . ']=' . ($ordersum - $averageordersum) . '&';
  $data4 .= 'data[' . $slice_number . ']=' . ($ordersum - $movingaveragesum) . '&';
  $slice_number ++;
  $colornumber ++;
  $total_ordered += $orders['ordersum'];
  $total_profit += $orders['profit'];
}
$label1 = 'Past year cumulative';
$label2 = 'Past year cumulative better/worse than average of ' . $currencies->format($average_ordersum_month/$numweeks);
$label3 = 'Past year cumulative better/worse than moving average';

$jpgraphimage = DIR_WS_ADMIN . 'contents/linegraph.php?' . $data2;
$stats = str_replace('profitimage', $jpgraphimage, $stats);
$ordersumimage = DIR_WS_ADMIN . 'contents/linegraph.php?' . $data;
$stats = str_replace('ordersumimage', $ordersumimage, $stats);

$stats .= '              <tr class="dataTableRow" height="17" bgcolor="d0d0d0">';
$stats .= '                <td class="dataTableContent" bgcolor="d0d0d0" align="right" valign="center" height="17">1&nbsp;</td>';
$stats .= '                <td class="dataTableContent" bgcolor="d0d0d0" align="left" valign="center"> &nbsp;Average</td>';
$stats .= '                <td class="dataTableContent" bgcolor="d0d0d0" align="right" valign="center" height="17">+' . $currencies->format($average_ordersum_month/$numweeks) . ' &nbsp;</td>';
$stats .= '                <td class="dataTableContent" bgcolor="d0d0d0" align="right" valign="center" height="17">+' . $currencies->format($average_profitsum_month/$numweeks) . ' &nbsp;</td>';
$stats .= '              </tr>';

$stats .= '              <tr class="dataTableRow" height="17" bgcolor="c8c8c8">';
$stats .= '                <td class="dataTableContent" bgcolor="c8c8c8" align="right" valign="center" height="17">' . ($slice_number) . '&nbsp;</td>';
$stats .= '                <td class="dataTableContent" bgcolor="c8c8c8" align="left" valign="center"> &nbsp;Total</td>';
$stats .= '                <td class="dataTableContent" bgcolor="c8c8c8" align="right" valign="center" height="17">' . $currencies->format($total_ordered) . ' &nbsp;</td>';
$stats .= '                <td class="dataTableContent" bgcolor="c8c8c8" align="right" valign="center" height="17">' . $currencies->format($total_profit) . ' &nbsp;</td>';
$stats .= '              </tr>';