<?php
/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003, Secure.cc, Inc.

*/
$see_also = 'See also: <a href="help.php?page=configuration.php&gID=9">Setting stock and packaging options</a>';
?>
<table width="100%" border="0" cellpadding="4" cellspacing="0">
<tr><td class="large">Selecting shipping options</td></tr>
<tr><td valign="top">
<blockquote><p align="justify">The "Shipping Options" section of eShox can be accessed via eShox Admin. Open a Web browser and enter the following URL: http://your-domain-or-ip/shop/admin/. Click on "Shipping Options" under "Checkout Setup" on the left "Administration" window. To enable a shipping option, select the shipping option and click the "green" button.

<p align="justify">To help you decide which shipping carriers to use, a star rating is given to each shipping carrier for their level of integration with eShox. A five-star rating is perfect, meaning that the service provides the best integration and performance.

<p align="justify">Many of the eShox shipping options have additional configuration options that can be set. To set these additional configuration options, select a shipping option and click "Edit", then make any necessary changes and click "Update". eShox shipping options include:

<blockquote>

<p><u>Airborne Express</u>
<p align="justify">The "Airborne Express" option allows the customer to select Airborne as a shipping method for their orders. eShox will automatically connect to the Airborne Web server and obtain a quote based on the total weight of the order.

<p><u>Canada Post</u>
<p align="justify">The "Canada Post" option allows customers in Canada to select Canada Post as a shipping method for their orders. Canada Post is only available for stores located in Canada and will only obtain quotes for orders shipped from Canada to destinations within Canada. eShox will automatically connect to the Canada Post Web server and obtain a quote based on the total weight of the order.

<p><u>Federal Express</u>
<p align="justify">The "Federal Express" option allows the customer to select FedEx as a shipping method for their orders. eShox will automatically connect to the FedEx Web server and obtain a quote based on the total weight of the order.

<p><u>Flat Rate</u>
<p align="justify">The "Flat Rate" option allows customers to select a fixed rate for the shipping of their orders. Once enabled, additional options include: "Name of flat shipping option", which is the name that is displayed for the flat rate shipping option; and "Flat Cost", which is the rate that is displayed for the flat rate shipping option. The "Flat Cost" is the total amount customers are charged for shipping.

<p><u>Per Item</u>
<p align="justify">The "Per Item" option allows customers to select a per-item rate for the shipping of their orders. Once enabled, additional options include: "Name of per item shipping option", which is the name that is displayed for the per item shipping option; and "Per Item shipping cost", which is the rate that is displayed for the per item shipping option. The "Per Item shipping cost" is the calculated based on the number of items ordered by the customer.

<p><u>Table Rate</u>
<p align="justify">The "Table Rate" option allows customers to select a table rate for the shipping of their orders. Once enabled, additional options include: "Name of table shipping option", which is the name that is displayed for the table rate shipping option; and "Shipping Table", which are the rates that are displayed for the table rate shipping option; "Handling Fee", which is an additional fee charged on top of the shipping table rates; and "Table Method", which can be set to calculate the shipping table by weight or by price.

<p align="justify">The "Shipping Table" contains the total order price or weight, a colon, then the shipping price for that price or weight. For example: "25:8.50" would charge $8.50 for an order with a total price of $25 (if method is by price) or weight of 25lbs (if method is by weight). A semi-colon is used to separate rates, for example: "25:8.50;50:5.50".

<p align="justify">Multiple tables may be defined to allow the customer to select from multiple services, separated by commas. The format is "Name of Rate=weight:price;weight:price,". For example:

<pre>
USPS Express Mail=25:8.50;50:5.50,
USPS Priority Mail=25:11.00;50:19.00,
UPS Ground=25:16.00;50:28.00,
Fedex Overnight Ground=25:45.00;50:66.00
</pre>

<p><u>Regional Rate</u>
<p align="justify">The "Regional Rate" option works the same way as the table rate module, except that only one table may exist for each world region. The customer will be presented with a rate for their part of the world based on their shipping address.

<p><u>United Parcel Service</u>
<p align="justify">The "United Parcel Service" option allows the customer to select UPS as a shipping method for their orders. eShox will automatically connect to the UPS Web server and obtain a quote based on the total weight of the order.

<p><u>United States Postal Service</u>
<p align="justify">The "United States Postal Service" options allow the customer to select USPS as a shipping method for their orders. eShox will automatically connect to the USPS Web server and obtain a quote based on the total weight of the order.

</blockquote>

</blockquote>

</tr>
</table>