<?php
/*
	eShox OS
	http://www.eshox.com/

	Copyright (c) 2003, Secure.cc, Inc.

	Released under the GNU General Public License

*/

  require('contents/resources.php');

define('HEADING_TITLE', 'Languages');

define('TABLE_HEADING_LANGUAGE_NAME', 'Language');

define('TEXT_INFO_EDIT_INTRO', 'Please make any necessary changes');
define('TEXT_INFO_LANGUAGE_TITLE_EDIT', 'Change this language to:');
define('TEXT_INFO_LANGUAGE_TITLE', 'Language:');
define('TEXT_INFO_LANGUAGE_DEFAULT', 'This is the default language, it can not be edited or deleted. To make changes to this language, you must first mark another language as the default.');
define('TEXT_INFO_DELETE_INTRO', 'Are you sure you want to delete this language?');
define('TEXT_INFO_HEADING_NEW_LANGUAGE', 'New Language');
define('TEXT_INFO_HEADING_EDIT_LANGUAGE', 'Edit Language');
define('TEXT_INFO_HEADING_DELETE_LANGUAGE', 'Delete Language');
define('TEXT_INFO_SET_AS_DEFAULT', TEXT_SET_DEFAULT);

  $languages_array = array('br' => array('id' => 'br', 'text' => 'Brazilian'),
	                       'nl' => array('id' => 'nl', 'text' => 'Dutch'),
	                       'en' => array('id' => 'en', 'text' => 'English (US)'),
	                       'uk' => array('id' => 'uk', 'text' => 'English (UK)'),
	                       'fr' => array('id' => 'fr', 'text' => 'French'),
	                       'de' => array('id' => 'de', 'text' => 'German'),
	                       'hu' => array('id' => 'hu', 'text' => 'Hungarian'),
	                       'it' => array('id' => 'it', 'text' => 'Italian'),
	                       'jp' => array('id' => 'jp', 'text' => 'Japanese'),
	                       'no' => array('id' => 'no', 'text' => 'Norwegian'),
	                       'mx' => array('id' => 'mx', 'text' => 'Spanish (MX)'),
	                       'cn' => array('id' => 'cn', 'text' => 'Simplified Chinese'),
	                       'tw' => array('id' => 'tw', 'text' => 'Traditional Chinese'),
	                       'se' => array('id' => 'se', 'text' => 'Swedish'));
	                                              
  if ($_GET['action']) {
	$tables = array('affiliates_description',
	                'categories_description',
	                'products_description',
	                'products_options',
	                'products_options_values',
	                'customer_options_options',
	                'information_panels',
	                'information_documents',
	                'mshox_artists',
	                'orders_status_values');

	switch ($_GET['action']) {
	  case 'insert':
	  case 'save':
	    $icons_array = array('nl' => 'nl_NL','no' => 'sv_NO','jp' => 'jp_JP','tw' => 'zh_TW','cn' => 'zh_CN','br' => 'pt_BR','it' => 'it_IT','de' => 'de_DE','en' => 'en_US','uk' => 'en_UK','fr' => 'fr_FR','mx' => 'es_MX','se' => 'se_SE', 'hu' => 'hu_HU');
	    $language_id = ($_GET['lID']);
	    $name = $languages_array[$_POST['code']]['text'];
	    $code = $_POST['code'];
	    $icon = $icons_array[$_POST['code']];

	    $sql_data_array = array('name' => $name,
	                            'code' => $code,
	                            'image' => $icon . '.gif');

	    if ($_GET['action'] == 'insert') {
	      $language_id = shop_db_perform('languages', $sql_data_array);
	      foreach ($tables as $table) {
	        shop_insert_language($table, $language_id);
	      }
	    }

	    if ($_POST['default'] == 'on') {
	      shop_db_query("update " . DB_PREFIX . "configuration set configuration_value = '$code' where configuration_key = 'DEFAULT_LANGUAGE'");
	    }
	    
	    shop_redirect(shop_href_link(FILENAME_LANGUAGES, 'page=' . $_GET['page'] . '&lID=' . $language_id));
	    break;
	  case 'deleteconfirm':
	    $language_id = ($_GET['lID']);
	    if ($language_id != $languages_id) {
	      foreach ($tables as $table) shop_db_query('delete from ' . DB_PREFIX . $table . ' where language_id = ' . $language_id);
	      shop_db_query("delete from " . DB_PREFIX . "languages where languages_id = '$language_id'");
	    }
	    shop_redirect(shop_href_link(FILENAME_LANGUAGES, 'page=' . $_GET['page']));
	    break;
	}
  }

?><html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>eShox: <?php echo HEADING_TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="contents/stylesheet.css">
<script language="JavaScript" src="contents/eshox_os/scripts.js" type="text/javascript"></script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="333333">
<!-- header //-->
<!-- header_eof //-->

<!-- body //-->
<table width="100%" border="0" cellpadding="0" cellspacing="0">
<?php
$help_page = MYSELF;
include('contents/header.php');
?>
</table><table border="0" width="100%" cellspacing="8" cellpadding="1" bgcolor="333333">
  <tr>
	<td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="160" cellspacing="0" cellpadding="0">
<!-- left_navigation //-->
<?php require('contents/navbar.php'); ?>
<!-- left_navigation_eof //-->
	</table></td>
<!-- body_text //-->
	<td width="100%" valign="top">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
	    <tr>
	        <td><img src="images/win_header_left.gif" width="8" height="22"></td>
	        <td width="14" align="left" valign="center" background="images/win_header_bg.gif"><a href="index.php"><img src="images/close.gif" width="13" height="14" border="0"></a></td>
	        <td width="6" align="left" valign="center" background="images/win_header_bg.gif"><img src="images/pixel_trans.gif" border="0" width="6" height="14"></td>
	        <td width="14" align="left" valign="center" background="images/win_header_bg.gif"><a href="<?php echo MYSELF . '?page_toggle=true'; ?>"><img src="images/max.gif" width="13" height="14" border="0"></a></td>
	        <td class="windowHeading" align="center" valign="center" height="22" width="100%" background="images/win_header_bg.gif"><?php echo HEADING_TITLE; ?></td>
	        <td width="34" background="images/win_header_bg.gif"></td>
	        <td><img src="images/win_header_right.gif" width="8" height="22"></td>
	    </tr>
	</table>
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td width="100%" background="images/win_header_column.gif"><table border="0" width="100%" cellspacing="0" cellpadding="0">
	  <tr>
	    <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
	      <tr>
	        <td valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="0">
	          <tr>
	            <td height="17" valign="center" class="dataTableContent"> &nbsp; <?php echo TABLE_HEADING_LANGUAGE_NAME; ?></td>
	          </tr>
<?php
  $languages_query_raw = "select languages_id, name, code, image from " . DB_PREFIX . "languages order by name, languages_id";
  $language_split = new splitPageResults($_GET['page'], CFG_ADMIN_ITEMS_PAGE, $languages_query_raw, $languages_query_numrows);
  $languages_query = shop_db_query($languages_query_raw);
  while ($language = shop_db_fetch_array($languages_query)) {
	if (((!$_GET['lID']) || (@$_GET['lID'] == $language['languages_id'])) && (!$lInfo) && (substr($_GET['action'], 0, 3) != 'new')) {
	  $lInfo = new objectInfo($language);
	} else {
	  unset($languages_array[$language['code']]);
	}
	
	if ( (is_object($lInfo)) && ($language['languages_id'] == $lInfo->languages_id) ) {
	  echo '                  <tr class="dataTableRowSelected">' . UNIX_RETURN;
	} else {
	  echo '                  <tr class="dataTableRow" onmouseover="this.style.cursor=\'pointer\'" onclick="document.location.href=\'' . shop_href_link(FILENAME_LANGUAGES, 'page=' . $_GET['page'] . '&lID=' . $language['languages_id']) . '\'">' . UNIX_RETURN;
	}

	if (DEFAULT_LANGUAGE == $language['code']) {
	  echo '                <td class="dataTableContent"> &nbsp; <b>' . $language['name'] . ' (' . TEXT_DEFAULT . ')</b></td>' . UNIX_RETURN;
	} else {
	  echo '                <td class="dataTableContent"> &nbsp; ' . $language['name'] . '</td>' . UNIX_RETURN;
	}
?>
	            <td class="dataTableContent" align="right" height="20"><?php if ( (is_object($lInfo)) && ($language['languages_id'] == $lInfo->languages_id) ) { echo shop_image(DIR_WS_IMAGES . 'icon_arrow_right.gif'); } else { echo '<a href="' . shop_href_link(FILENAME_LANGUAGES, 'page=' . $_GET['page'] . '&lID=' . $currency['languages_id']) . '"></a>'; } ?></td>
	          </tr>
<?php
  }
?>
	          <tr>
	            <td colspan="3">
	              <table border="0" width="100%" cellspacing="0" cellpadding="4">
	                <tr>
	                  <td class="smallText" valign="top"><?php echo $language_split->display_count($languages_query_numrows, CFG_ADMIN_ITEMS_PAGE, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_LANGUAGES); ?></td>
	                  <td class="smallText" align="right"><?php echo $language_split->display_links($languages_query_numrows, CFG_ADMIN_ITEMS_PAGE, MAX_DISPLAY_PAGE_LINKS, $_GET['page']); ?></td>
	                </tr>
	              </table>
<?php
  if (!$_GET['action'] && sizeof($languages_array) > 1) {
?>
	              <tr>
	                <td align="right" colspan="3"><?php echo '<a href="' . shop_href_link(FILENAME_LANGUAGES, 'page=' . $_GET['page'] . '&lID=' . $lInfo->languages_id . '&action=new') . '">' . shop_image_button('button_insert.gif', IMAGE_NEW_LANGUAGE) . '</a>&nbsp;'; ?></td>
	              </tr>
<?php
  }
?>
	        </table></td>
<?php
  $heading = array();
  $contents = array();
  $languages = array();
  foreach($languages_array as $key => $value) $languages[] = $value;
  $languages_pulldown = shop_draw_pull_down_menu('code',$languages,$lInfo->code);
  switch ($_GET['action']) {
	case 'new':
	  $heading[] = array('text' => TEXT_INFO_HEADING_NEW_LANGUAGE);

	  $contents = array('form' => shop_draw_form('languages', FILENAME_LANGUAGES, 'page=' . $_GET['page'] . '&lID=' . $lInfo->languages_id . '&action=insert'));
	  $contents[] = array('text' => TEXT_INFO_LANGUAGE_TITLE . '<br />' . $languages_pulldown);
	  $contents[] = array('text' => '<br />' . shop_draw_checkbox_field('default') . ' ' . TEXT_INFO_SET_AS_DEFAULT);
	  $contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_insert.gif', IMAGE_INSERT) . ' <a href="' . shop_href_link(FILENAME_LANGUAGES, 'page=' . $_GET['page'] . '&lID=' . $_GET['lID']) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	  break;
	case 'edit':
	  $heading[] = array('text' => TEXT_INFO_HEADING_EDIT_LANGUAGE);

	  $contents = array('form' => shop_draw_form('languages', FILENAME_LANGUAGES, 'page=' . $_GET['page'] . '&lID=' . $lInfo->languages_id . '&action=save'));
	  $contents[] = array('text' => TEXT_INFO_LANGUAGE_TITLE_EDIT . '<br />' .$languages_pulldown);
	  if (DEFAULT_LANGUAGE != $lInfo->code) $contents[] = array('text' => '<br />' . shop_draw_checkbox_field('default') . ' ' . TEXT_INFO_SET_AS_DEFAULT);
	  $contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_update.gif', IMAGE_UPDATE) . ' <a href="' . shop_href_link(FILENAME_LANGUAGES, 'page=' . $_GET['page'] . '&lID=' . $lInfo->languages_id) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	  break;
	case 'delete':
	  $heading[] = array('text' => TEXT_INFO_HEADING_DELETE_LANGUAGE);

	  $contents[] = array('text' => TEXT_INFO_DELETE_INTRO);
	  $contents[] = array('text' => '<br /><b>' . $lInfo->name);
	  $contents[] = array('align' => 'center', 'text' => '<br />' . '<a href="' . shop_href_link(FILENAME_LANGUAGES, 'page=' . $_GET['page'] . '&lID=' . $lInfo->languages_id . '&action=deleteconfirm') . '">' . shop_image_button('button_delete.gif', IMAGE_DELETE) . '</a>' . ' <a href="' . shop_href_link(FILENAME_LANGUAGES, 'page=' . $_GET['page'] . '&lID=' . $lInfo->languages_id) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	  break;
	default:
	  if (is_object($lInfo)) {
	    $heading[] = array('text' => $lInfo->name);
	    $contents[] = array('text' => TEXT_INFO_LANGUAGE_TITLE . ' ' . $lInfo->name);
	    $contents[] = array('text' => (shop_image((DIR_WS_CATALOG . 'images/flags/' . $lInfo->image), $lInfo->name)));

	    if (!($lInfo->code == DEFAULT_LANGUAGE)) {
	      $delete = '<a href="' . shop_href_link(FILENAME_LANGUAGES, 'page=' . $_GET['page'] . '&lID=' . $lInfo->languages_id . '&action=delete') . '">' . shop_image_button('button_delete.gif', IMAGE_DELETE) . '</a>';
	      $edit = '<br /><a href="' . shop_href_link(FILENAME_LANGUAGES, 'page=' . $_GET['page'] . '&lID=' . $lInfo->languages_id . '&action=edit') . '">' . shop_image_button('button_edit.gif', IMAGE_EDIT) . '</a>';
	      $contents[] = array('align' => 'center', 'text' => $edit . '&nbsp;' . $delete);
	    } else {
	      $contents[] = array('align' => 'left', 'text' => TEXT_INFO_LANGUAGE_DEFAULT);
	    }
	  }
	  break;
  }

  if ( ($heading) && ($contents) ) {
	echo '            <td class="infoBoxContent" width="25%" valign="top">' . UNIX_RETURN;

	$box = new box;
	echo $box->infoBox($heading, $contents);

	echo '            </td>' . UNIX_RETURN;
  }
?>
	      </tr>
	    </table></td>
	  </tr>
	</table></td>
	</tr>
	<tr>
		<td background="images/win_div.gif" width="8" height="1"></td>
	</tr>
	<tr>
		<td align="left" valign="center" width="100%" height="17" background="images/base_bg.gif">
<?php
include('contents/footer.php');
?>
		</td>
	</tr>
</table>
<!-- body_eof //-->
</body>
</html>
