<?php
/*
	eShox OS
	http://www.eshox.com/

	Copyright (c) 2003, Secure.cc, Inc.

	Released under the GNU General Public License

*/

  class ot_cod {
	var $title, $output;

	function ot_cod() {
	  $this->code = 'ot_cod';
	  $this->title = MODULE_ORDER_TOTAL_COD_TITLE;
	  $this->description = 'COD Options:';
	  $this->enabled = defined('MODULE_ORDER_TOTAL_COD_STATUS');
	  $this->sort_order = 5;

	  $this->output = array();
	}

	function process() {
	  global $order;
		if (defined('MODULE_PAYMENT_COD_STATUS') && $_SESSION['cart']->info['payment_selected'] == 'cod') {
	    $order->info['total'] += MODULE_ORDER_TOTAL_COD_FEE;
	    $order->info['cod_fee'] = MODULE_ORDER_TOTAL_COD_FEE;
			$this->output[] = array('title' => $this->title . ':',
															'text' => $GLOBALS['currencies']->format(MODULE_ORDER_TOTAL_COD_FEE, true, $order->info['currency'], $order->info['currency_value']),
															'value' => $order->info['cod_fee']);
#if ($_SERVER['REMOTE_ADDR'] == '68.111.132.133') { print_r($_SESSION); die; }
		}
	}

	function check() {
	  return defined('MODULE_ORDER_TOTAL_COD_STATUS');
	}

	function keys() {
	  return array('MODULE_ORDER_TOTAL_COD_STATUS', 'MODULE_ORDER_TOTAL_COD_FEE');
	}

	function install() {
	  shop_db_query("insert into " . DB_PREFIX . "configuration (configuration_key, configuration_value) values ('MODULE_ORDER_TOTAL_COD_STATUS', 'true')");
	  shop_db_query("insert into " . DB_PREFIX . "configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, date_added) values ('COD Fee', 'MODULE_ORDER_TOTAL_COD_FEE', '5', 'Fee to charge for COD orders', '6', '2', 'shop_cfg_price_display(', now())");
	}

	function remove() {
	  shop_db_query("delete from " . DB_PREFIX . "configuration where configuration_key LIKE 'MODULE_ORDER_TOTAL_COD_%'");
	}
}
