<?php

/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2004, Secure.cc, Inc.

*/

class braspag {
	var $code, $title, $description, $enabled;

	function braspag() {
		$this->code = 'braspag';
		$this->title = 'Braspag Pagador';
		$this->shop_title = 'Braspag Pagador';
		$this->description = '';
		$this->signup = 'http://www.braspag.com.br/';
		$this->enabled = defined('MODULE_PAYMENT_BRASPAG_STATUS');
		$this->recommend_level = 1;
		$this->version = "1.01";
	}

	function javascript_validation() {
		return false;
	}

	function selection() {
		return false;
	}

	function pre_confirmation_check() {
		return false;
	}

	function confirmation() {
		global $checkout_form_action;
		$checkout_form_action = (MODULE_PAYMENT_BRASPAG_TESTMODE == 'Test') 
			? 'http://homologacao.pagador.com.br/pagador/index.asp' 
			: 'https://www.pagador.com.br/pagador/index.asp';
	}

	function process_button() {
		global $order;
		
		$process_button_string = 
			shop_draw_hidden_field('ID_LOJA', MODULE_PAYMENT_BRASPAG_SHOPKEY) . 
			shop_draw_hidden_field('VENDAID', date('U')) . 
			shop_draw_hidden_field('VALOR', number_format($order->info['total'], 2)) .
			shop_draw_hidden_field('NOME', $order->customer['firstname'] . ' ' . $order->customer['lastname']) . 
			#shop_draw_hidden_field('RAZAO_PJ', $order->customer['company']) .
			#shop_draw_hidden_field('ENDERECO', $order->customer['street_address']) .
			#shop_draw_hidden_field('CIDADE', $order->customer['city']) .
			#shop_draw_hidden_field('ESTADO', $order->customer['state']) .
			#shop_draw_hidden_field('CEP', $order->customer['postcode']) .
			#shop_draw_hidden_field('PAIS', $order->customer['pais']) .
			shop_draw_hidden_field('FONE', $order->customer['telephone']) .
			shop_draw_hidden_field('FAX', $order->customer['fax']) .
			shop_draw_hidden_field('EMAIL', $order->customer['email_address']) .
			#shop_draw_hidden_field('ENDERECO_D', $order->delivery['street_address']) .
			#shop_draw_hidden_field('CIDADE_D', $order->delivery['city']) .
			#shop_draw_hidden_field('ESTADO_D', $order->delivery['state']) .
			#shop_draw_hidden_field('CEP_D', $order->delivery['postcode']) .
			#shop_draw_hidden_field('PAIS_D', $order->delivery['country']) .
			shop_draw_hidden_field('ExtraIPAddress', REMOTE_ADDR);

		return $process_button_string;
	}

	function before_process() {
		global $order;
		if ($_POST['DESRETORNO'] != '') {
			shop_redirect(shop_href_link('checkout_payment.php', 'error_message=' . urlencode(MODULE_PAYMENT_CC_TEXT_ERROR . ' ' . $_POST['DESRETORNO']), 'SSL'));
		}
		$order->info['cc_type'] = $_POST['FORMAPAGTO'];
		$order->info['cc_owner'] = $_POST['NOMECOMPRADOR'];
		$order->info['cc_number'] = $_POST['NumeroCartao'];
		$order->info['cc_code'] = $_POST[''];
		$order->info['cc_approval'] = $_POST['CODAUTORIZACAO'];
	}

	function after_process() {
		return false;
	}

	function check() {
		return defined('MODULE_PAYMENT_BRASPAG_STATUS');
	}

	function install() {
		shop_db_query("delete from " . DB_PREFIX . "configuration where configuration_key like 'MODULE_PAYMENT_BRASPAG%'");
		shop_db_query("insert into " . DB_PREFIX . "configuration (configuration_key, configuration_value) values ('MODULE_PAYMENT_BRASPAG_STATUS', 'true')");
	  shop_db_query("insert into " . DB_PREFIX . "configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Transaction Mode', 'MODULE_PAYMENT_BRASPAG_TESTMODE', 'Test', 'Transaction mode used for processing orders', '6', '0', 'shop_cfg_select_option(array(\'Test\', \'Production\'), ', now())");
	  shop_db_query("insert into " . DB_PREFIX . "configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('BrasPag Shop Unique Key', 'MODULE_PAYMENT_BRASPAG_SHOPKEY', '12345', 'The BrasPag Shop Unique key (Shop Key)', '6', '0', now())");
	}

	function remove() {
		shop_db_query("delete from " . DB_PREFIX . "configuration where configuration_key like 'MODULE_PAYMENT_BRASPAG%'");
	}

	function keys() {
		return array('MODULE_PAYMENT_BRASPAG_STATUS', 'MODULE_PAYMENT_BRASPAG_TESTMODE', 'MODULE_PAYMENT_BRASPAG_SHOPKEY');
	}
}
