<?php
/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003, Secure.cc, Inc.

*/
  
  class usaepay {
	var $code, $title, $description, $enabled;

	function usaepay() {
	  $this->code = 'usaepay';
	  $this->title = 'USA ePay';
	  $this->shop_title = MODULE_PAYMENT_CC_TEXT_TITLE;
	  $this->description = '';
	  $this->signup = 'http://www.usaepay.com/';
	  $this->enabled = defined('MODULE_PAYMENT_USAEPAY_STATUS');
	  $this->recommend_level = 5;
	  $this->version = "2.0";
	}

	function javascript_validation() {
	  return shop_draw_cc_javascript_validation($this->code);
	}

	function selection() {
	  return shop_draw_cc_input();
	}

	function pre_confirmation_check() {
	  if ($_POST['payment_selected'] == $this->code) shop_validate_cc($_POST['cc_owner'],$_POST['cc_number'], $_POST['cc_expires_month'], $_POST['cc_expires_year'], $_POST['cc_code']);
	}

	function confirmation() {
	  return false;
	}

	function process_button() {
	  $process_button_string = shop_draw_hidden_field('cc_owner', $_POST['cc_owner']) . 
	                           shop_draw_hidden_field('cc_number', $_POST['cc_number']) . 
	                           shop_draw_hidden_field('cc_code', $_POST['cc_code']) . UNIX_RETURN .
	                           shop_draw_hidden_field('cc_expires_month', $_POST['cc_expires_month']) . UNIX_RETURN .
	                           shop_draw_hidden_field('cc_expires_year', $_POST['cc_expires_year']) . UNIX_RETURN;

	  return $process_button_string;
	}

	function before_process() {
	  global $order;

	  $data_array = array('UMkey' => MODULE_PAYMENT_USAEPAY_MERCHANT_ID,
						  'UMinvoice' => $order->info['orders_id'],
						  'UMcommand' => 'SALE',
						  'UMamount' => number_format($order->info['total'], 2),
						  'UMcard' => $_POST['cc_number'],
						  'UMexpir' => $_POST['cc_expires_month'].$_POST['cc_expires_year'],
						  'UMcvv2' => $_POST['cc_code'],
						  'UMstreet' => $order->customer['street_address'],
						  'UMzip' => $order->customer['postcode'],
						  'UMbillname' => $_POST['cc_owner'],
						  'UMbillcompany' => $order->customer['company'],
						  'UMbillstreet' => $order->customer['street_address'],
						  'UMbillcity' => $order->customer['city'],
						  'UMbillstate' => $order->customer['state'],
						  'UMbillphone' => $order->customer['telephone'],
						  'UMbillemail' => $order->customer['email_address'],
						  'UMip' => REMOTE_ADDR);
		
	  $request = http_request("https://www.usaepay.com/gate.php", $data_array);
	  preg_match_all('/UM([^=]+)=([^&]+)&/', $request, $response);
	  
	  $result = array();
	  for ($x=0; $x<sizeof($response[1]); $x++) {
	    $result[$response[1][$x]] = $response[2][$x];
	  }

	  if ($result['status'] != 'Approved') {
		shop_redirect(shop_href_link('checkout_payment.php', 'error_message=' . urlencode(MODULE_PAYMENT_CC_TEXT_ERROR) . ' ' . $result['error'], 'SSL'));
	  }
	  
	  $order->info['cc_approval'] = $result['authCode'];
	}

	function after_process() {
	  return false;
	}

	function check() {
	  return defined('MODULE_PAYMENT_USAEPAY_STATUS');
	}

	function install() {
	  shop_db_query("insert into " . DB_PREFIX . "configuration (configuration_key, configuration_value) values ('MODULE_PAYMENT_USAEPAY_STATUS', 'true')");
	  shop_db_query("insert into " . DB_PREFIX . "configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('ePay Key', 'MODULE_PAYMENT_USAEPAY_MERCHANT_ID', 'h328dtwj834jhs98d', '', '6', '2', now())");
	}

	function remove() {
	  shop_db_query("delete from " . DB_PREFIX . "configuration where configuration_key in ('" . implode("','", $this->keys()) . "')");
	}

	function keys() {
	  return array('MODULE_PAYMENT_USAEPAY_STATUS', 'MODULE_PAYMENT_USAEPAY_MERCHANT_ID');
	}
  }
