<?php
/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003-04, Secure.cc, Inc.

*/
  
class worldpay {
	var $code, $title, $description, $enabled;

	function worldpay() {
	  $this->code = 'worldpay';
	  $this->title = 'WorldPay Select Junior';
	  $this->shop_title = MODULE_PAYMENT_CC_TEXT_TITLE;
	  $this->description = 'Please modify your callback URL on the WorldPay Customer Management System to the value below (make sure your secure URL is set before doing this): <textarea style="width:200px;height:50px;">' . SECURE_SERVER_ADDRESS . 'checkout_process.php?sessID=&lt;wpdisplay item=MC_sessID&gt;</textarea>';
	  $this->signup = 'http://www.worldpay.com/';
	  $this->enabled = defined('MODULE_PAYMENT_WORLDPAY_STATUS');
	  $this->recommend_level = 3;
	  $this->version = "1.5";
	}

	function javascript_validation() {
	  return false;
	}

	function selection() {
	  return false;
	}

	function pre_confirmation_check() {
	}

	function confirmation() {
	  global $checkout_form_action;
	  
	  $checkout_form_action = 'https://select.worldpay.com/wcc/purchase';
	  
	  return false;
	}

	function process_button() {
	  global $order;
	  
	  $order_info = shop_db_fetch_array(shop_db_query("select max(orders_id) as order_id from " . DB_PREFIX . "orders"));
	  $order_id = $order_info['order_id']+1;
	  
	  $process_button_string = shop_draw_hidden_field('instId', MODULE_PAYMENT_WORLDPAY_INST_ID) . UNIX_RETURN .
	                           shop_draw_hidden_field('MC_sessID', session_id()) . UNIX_RETURN .
	                           shop_draw_hidden_field('MC_callback', shop_href_link('checkout_process.php', SESSION_SID, 'SSL')) . UNIX_RETURN .
	                           shop_draw_hidden_field('cartId', $_SESSION['customer_id'] . '-' . $order_id) . UNIX_RETURN .
	                           shop_draw_hidden_field('amount', $order->info['total']) . UNIX_RETURN .
	                           shop_draw_hidden_field('currency', $order->info['currency']) . UNIX_RETURN .
	                           shop_draw_hidden_field('name', $order->customer['firstname'] . ' ' . $order->customer['lastname']) . UNIX_RETURN .
	                           shop_draw_hidden_field('address', $order->customer['street_address']) . UNIX_RETURN .
	                           shop_draw_hidden_field('postcode', $order->customer['postcode']) . UNIX_RETURN .
	                           shop_draw_hidden_field('country', $order->customer['country_code']) . UNIX_RETURN .
	                           shop_draw_hidden_field('email', $order->customer['email_address']) . UNIX_RETURN .
	                           shop_draw_hidden_field('tel', $order->customer['telephone']) . UNIX_RETURN .
	                           shop_draw_hidden_field('fixContact', '') . UNIX_RETURN .
	                           shop_draw_hidden_field('hideContact', '') . UNIX_RETURN;

	  if (MODULE_PAYMENT_WORLDPAY_TESTMODE == 'Test') $process_button_string .= shop_draw_hidden_field('testMode', '100') . UNIX_RETURN;

	  return $process_button_string;
	}

	function before_process() {
	  global $order;	  
	  shop_display_page("worldpay.php", $page);
	  $page = str_replace('<head>','<head>' . UNIX_RETURN . '<base href="' . shop_href_link('','','SSL') . '" />', $page);
	  $contents_loc = strpos($page, '[wincontents]');

	  echo substr($page,0,$contents_loc);
	  if ($_POST['transStatus'] == 'Y' && $_POST['callbackPW'] == MODULE_PAYMENT_WORLDPAY_PASSWORD) {
	  	include('contents/pages/checkout_success.php');
	  }
	  echo UNIX_RETURN . '<style type="text/css">' . UNIX_RETURN .
	  					 '  .worldpay table, .worldpay td { background-color: transparent; }' . UNIX_RETURN .
	  					 '</style>' . UNIX_RETURN;
	  echo '<div class="worldpay"><WPDISPLAY ITEM=banner></div>' . UNIX_RETURN;
	  echo substr($page,$contents_loc+13);

	  if ($_POST['transStatus'] == 'Y' && $_POST['callbackPW'] == MODULE_PAYMENT_WORLDPAY_PASSWORD) {
			$order->info['cc_approval'] = $_POST['transId'];
	  } else {
	    die();
	  }
	  
	  return false;
	}

	function after_process() {
		// displayed in the before_process so just die to stop processing
		return die();
	}

	function check() {
	  return defined('MODULE_PAYMENT_WORLDPAY_STATUS');
	}

	function install() {
	  shop_db_query("insert into " . DB_PREFIX . "configuration (configuration_key, configuration_value) values ('MODULE_PAYMENT_WORLDPAY_STATUS', 'true')");
	  shop_db_query("insert into " . DB_PREFIX . "configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Installation ID', 'MODULE_PAYMENT_WORLDPAY_INST_ID', '1234', 'Your WorldPay Installation ID (not your Company ID or Account ID)', '6', '1', now())");
	  shop_db_query("insert into " . DB_PREFIX . "configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Callback Password', 'MODULE_PAYMENT_WORLDPAY_PASSWORD', 'xyz', 'Your WorldPay Callback Password', '6', '2', now())");
	  shop_db_query("insert into " . DB_PREFIX . "configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Transaction Mode', 'MODULE_PAYMENT_WORLDPAY_TESTMODE', 'Test', 'Transaction mode used for processing orders', '6', '3', 'shop_cfg_select_option(array(\'Test\', \'Production\'), ', now())");
	}

	function remove() {
	  shop_db_query("delete from " . DB_PREFIX . "configuration where configuration_key in ('" . implode("','", $this->keys()) . "')");
	}

	function keys() {
	  return array('MODULE_PAYMENT_WORLDPAY_STATUS', 'MODULE_PAYMENT_WORLDPAY_INST_ID', 'MODULE_PAYMENT_WORLDPAY_PASSWORD', 'MODULE_PAYMENT_WORLDPAY_TESTMODE');
	}

}
